Bug 505381 - can't use autofs with ldap
can't use autofs with ldap
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 13:35 EDT by Eric Doutreleau
Modified: 2009-10-07 23:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 23:29:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/message (202.15 KB, application/octet-stream)
2009-06-12 03:55 EDT, Eric Doutreleau
no flags Details

  None (edit)
Description Eric Doutreleau 2009-06-11 13:35:59 EDT
Description of problem:
I just upgrade client from F9 to F11 and my autofs setup doesn't work anymore.


Version-Release number of selected component (if applicable):
5.0.4-25

How reproducible:
always

Steps to Reproduce:
1. i go to my automount path
2. i got 
3.
  
Actual results:
cd /mci/mci/doutrele
-bash: cd: /mci/mci/doutrele: Aucun fichier ou dossier de ce type


Expected results:
i should go in my directory

Additional info:

Here is the message i got on the /var/log/messages

do_bind: lookup(ldap): ldap anonymous bind returned 0
Jun 11 19:26:49 b008-04 automount[12071]: get_query_dn: lookup(ldap): found query dn ou=auto.mci.mci,ou=auto.mci,ou=automount,dc=int-evry,dc=fr
Jun 11 19:26:49 b008-04 automount[12071]: open_parse:168: lookup(ldap): cannot open parse module dc=fr (/usr/lib/autofs/parse_dc=fr.so: cannot open shared object file: No such file or directory)

here is my ldap config

auto.master has the following entry
cn=/mci
which contains
automountInformation
ldap:ou=auto.mci,ou=automount,dc=int-evry,dc=fr

the branch ou=auto.mci,ou=automount,dc=int-evry,dc=fr
contains an entry
cn=mci
which contains the informations

automountInformation
-fstype=autofs ldap:ou=auto.mci.mci,ou=auto.mci,ou=automount,dc=int-evry,dc=fr

and the branch ou=auto.mci.mci,ou=auto.mci,ou=automount,dc=int-evry,dc=fr
contains the entry 
cn=/
which contains the information 

automountInformation
-rw,intr,soft cobra3:/p2v5f1/mci/&

it seems that the parse_ldap module can't parse the automountInformation entry
Comment 1 Eric Doutreleau 2009-06-11 13:46:39 EDT
i grab the src.rpm of the 10 version
autofs-5.0.3-41.i586.rpm
and it worked like a charm.
Comment 2 Ian Kent 2009-06-12 02:32:01 EDT
(In reply to comment #0)
> Description of problem:
> I just upgrade client from F9 to F11 and my autofs setup doesn't work anymore.

Can you provide the full debug log please.

Ian
Comment 3 Eric Doutreleau 2009-06-12 03:55:42 EDT
Created attachment 347519 [details]
/var/log/message
Comment 4 Ian Kent 2009-06-12 05:31:05 EDT
Think I've worked out what's going wrong.
I've built a package that I think will resolve the problem.
I've requested it be pushed to testing, in the meantime the
build can be found here:
http://kojipkgs.fedoraproject.org/packages/autofs/5.0.4/31

Please test this out.
Ian
Comment 5 Eric Doutreleau 2009-06-12 05:42:54 EDT
I just grab the packages and it seems to solve the problem
thank u very much for the prompt answer
Comment 6 Ian Kent 2009-06-12 09:31:27 EDT
(In reply to comment #5)
> I just grab the packages and it seems to solve the problem
> thank u very much for the prompt answer  

Yeah, that will serve you for now but that parse function
still needs more work.
Ian
Comment 7 Ian Kent 2009-10-07 23:29:13 EDT
By the look of it I did end up fixing this properly in revision
31 and the latest update is now 38.

So making this as closed CURRENTRELEASE, if you do still have a
problem with the latest update please re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.